<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    exclude-result-prefixes="xs"
    version="2.0" xpath-default-namespace="http://www.tei-c.org/ns/1.0">
   
    <xsl:template match="TEI">
        <h3>Table des matières</h3>
        <ul><xsl:for-each select="text/body/div">
           <li><a href="#{@xml:id}"><xsl:value-of select="head"/></a></li> 
        </xsl:for-each>
        </ul>
        <xsl:apply-templates select="text"/>
        
    </xsl:template>
    
    <xsl:template match="div">
        <div id="{@xml:id}">
            <xsl:apply-templates/>
        </div>
    </xsl:template>
    
    <xsl:template match="p">
        <p><xsl:apply-templates/></p>
    </xsl:template>
    
    <xsl:template match="head">
        <h2><xsl:apply-templates/></h2>
    </xsl:template>
    
    <xsl:template match="placeName">
        
        <span style="font-weight:bold" id="{@key}">
            <xsl:apply-templates></xsl:apply-templates>
        </span>
        
    </xsl:template>
    
    <xsl:template match="gap">
        <i>[Pages non numérisées: <xsl:value-of select="@scope"/>]</i>
    </xsl:template>
    
</xsl:stylesheet>